#include<linux/dmsdos_fs.h>
/*#include<asm/uaccess.h> not all 2.1.x kernels have this file so forget it*/

/* hacks to make dmsdosfs work with 2.1.x kernels */

#define word short int
#define byte unsigned char

long inline get_fs_long(void* x)
{ long temp;

  copy_from_user(&temp,x,sizeof(long));
  return temp;
}

word inline get_fs_word(void* x)
{ word temp;

  copy_from_user(&temp,x,sizeof(word));
  return temp;
}

byte inline get_fs_byte(void* x)
{ byte temp;

  copy_from_user(&temp,x,sizeof(byte));
  return temp;
}

void inline put_fs_long(long value, void* x)
{ long temp;

  temp=value;
  copy_to_user(x,&temp,sizeof(long));
}

void inline put_fs_word(word value, void* x)
{ word temp;

  temp=value;
  copy_to_user(x,&temp,sizeof(word));
}

void inline put_fs_byte(byte value, void* x)
{ byte temp;

  temp=value;
  copy_to_user(x,&temp,sizeof(byte));
}
